package com.liquidnet.service.sweet.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import com.liquidnet.service.base.ResponseDto;
import com.liquidnet.service.sweet.entity.SweetArtists;

/**
 * <p>
 * 艺人表 服务类
 * </p>
 *
 * @author liquidnet
 * @since 2021-07-23
 */
public interface ISweetArtistsService extends IService<SweetArtists> {

    ResponseDto<PageInfo<SweetArtists>> getList(int page, int size,String name);

    ResponseDto<Boolean> add(String picUrl,String name,String pinyin,String describe);

    ResponseDto<SweetArtists> detail(String artistsId);

    ResponseDto<Boolean> change(String artistsId,String picUrl,String name,String pinyin,String describe);

}
